MCP servers that ship as code — a repository or a package you install and run locally (usually over stdio). They have no hosted endpoint, so we cannot probe or grade them: instead each one shows its repository, install command, license, stars and when it was last updated.
Collected from GitHub repositories and npm, PyPI, Cargo, Go, Maven, NuGet and RubyGems packages tagged as MCP servers, the official MCP Registry, Docker's MCP catalog, ModelScope, Baidu MCP World, Cline and other public directories; one entry per repository. A server that also offers a hosted endpoint is listed under Remote instead. These entries are not counted in our reachability, verification or readiness statistics.
-
An MCP server for fetching RFC related information.
Apache-2.0 ★ 20 -
40x fewer tokens while reading the RFC corpus, with obsoleted specs flagged
MIT ★ 2 -
Ask RFCs, get answers: pgvector-powered semantic search with RFC 2119 normative keyword filtering, exposed as MCP tools for any AI agent
Apache-2.0 -
A Model Context Protocol (MCP) server for structured understanding of RFC documents.
MIT ★ 4 -
MCP server for structured understanding of RFC documents via RFCXML
npm MIT -
MCP server for SAP ECC and S/4HANA: Claude reads SAP data through OData and RFC/BAPI, writes wait for a person to confirm, every call audited. No SAP NetWeaver RFC SDK needed. Maintained by iteractive.ai.
MIT ★ 5 -
oak-cigithub.com/goondocks-co/open-agent-kitupdated this year
CLI toolkit for AI-powered development workflows - spec-driven development, RFC/ARC management, and shared conventions across AI coding agents
pypi MIT -
RFC sections, status, obsoleted-by chains, errata and IANA registries for coding agents.
MIT ★ 1 -
SAP S/4HANA & ECC MCP Server for n8n — OData V2/V4, IDoc, RFC/BAPI. Docs, releases, issues. Free to use: npm i -g guniweb-sap-mcp
npm ISC ★ 3 -
Model Context Protocol (MCP) server for PKI: inspect and verify X.509 certificates, CSRs, CRLs, OCSP responses, CMS SignedData and RFC 3161 timestamps; build and validate certificate chains (RFC 5280 path validation, name and purpose checks, CRL and OCSP
npm MIT -
MCP server for PKI on the zero-dependency pkinative engine. Inspect and verify X.509 certificates and chains (RFC 5280), CRL, OCSP, CMS signatures and RFC 3161 timestamps; issue certificates and CSRs; open PKCS#8/#12 without a key byte leaving. 34 tools, no network ever, verified by OpenSSL in CI. For Claude, Cursor, VS Code and any MCP client.
npm MIT -
MCP server: generate and validate UUID v4 and v7 (RFC 9562).
MIT -
MCP server: encode and decode RFC 4648 base32 (standard and Crockford).
MIT -
MCP server: parse and stringify CSV (RFC 4180). Header rows, quoting, custom delimiters.
MIT -
Autonomous HTTP Security Headers & RFC 9116 Vulnerability Disclosure Auditor MCP Server
MIT -
@mukundakatta/csv-mcpgithub.com/mukundakatta/csv-mcpupdated this year
MCP server: parse and stringify CSV (RFC 4180). Header rows, quoting, custom delimiters.
npm MIT -
WeaveVerify MCP Server — RFC-8785 JCS Ed25519 receipt verification, x402 paywall auditing, and Solana Blink / token microstructure inspection.
-
web3-docsgithub.com/dioptx/web3-docsupdated this year
MCP server for Web3 protocol documentation — EIPs, ERCs, BIPs, SIMDs, Cosmos ADRs, Polkadot RFCs, contract registry
MIT ★ 36 -
verifiergithub.com/iecc-protocol/verifierupdated this year
Official TypeScript implementation of the IECC protocol. Features Ed25519 signing, RFC 8785 canonicalization, and AI-native verification via MCP.
MIT ★ 2 -
@msantagiulianab/x402-mcp-servergithub.com/msantagiulianab/solana-enterprise-payment-gatewayactive
Zero-bloat Model Context Protocol (MCP) server exposing the RFC 9110 x402 Solana compliance screening gateway to AI agents.
npm MIT -
🔐 Cryptographic audit trails for AI decisions — hash chains, Merkle trees, RFC 3161 timestamps, compliance presets for HIPAA/GDPR/SOC2
MIT ★ 1 -
Semantic diffs of JSON, YAML, TOML, CSV, .env and INI over MCP: keyed list matching with move detection, verified RFC 6902 patches, tolerance, streaming CSV diffs. Read-only.
MIT -
ContextHubgithub.com/BryceEWatson/ContextHubupdated this year
Deterministic MCP server for coordinating AI agents across software development lifecycles. SQLite graph traversal, Zod validation gates, RFC 6902 patching, and 100+ tests with <200ms p95 latency.
-
Multi-engine web search MCP server, CLI, and daemon — no API keys required. 16+ engines (Bing, Baidu, DDG, Brave, GitHub, arXiv, etc.), MDN / RFC / DevDocs / Context7 documentation, outline & JSON-LD structured article fetching.
Apache-2.0 ★ 3 -
Proof-Carrying Autonomous Agent Kernel & Cryptographic PR Attestation Engine (RFC 6962 SHA-256 Merkle Proofs + 7-Gate PCAE Pipeline + MCP Server)
MIT ★ 1 -
Passive, deterministic MCP server that serves a nested, force-ordered state machine to AI agents — with an RFC 6962 auditable transcript per session. Native binary; this package is the launcher.
npm SEE LICENSE IN LICENSE -
agentic-paymentsactive
Payment authorization for AI agents: Ed25519 spending mandates, multi-agent consensus, RFC 9421 signed payment requests, and an MCP server.
npm (MIT OR Apache-2.0) -
sapmcpgithub.com/eduardoddddddd/sapmcpupdated this year
Production-minded MCP server for SAP ECC/S/4HANA over NetWeaver RFC SDK (ctypes, no PyRFC): SafetyPolicy, audit JSONL, Basis tools, multi-destination and snapshots.
MIT ★ 1 -
FaultyPacket™ Audit: SPF, DMARC (RFC 9989), DKIM, MTA-STS, DNSSEC, DANE, BIMI and per-provider bulk-sender checks with cited rule IDs. AGPL-3.0.
AGPL-3.0 -
SewaSetu AI - Autonomous Agentic Public Welfare & Pension Portal by Harish featuring dual MCP servers, RFC 9728 discovery, OAuth 2.1 privilege segregation, and live persona evaluation framework.
MIT -
Official OrigoID MCP server — CURP, INE, RFC/SAT, IMSS, OFAC/PEPs checks as tools for Claude Code and any MCP-compatible client. Identity verification for Mexico.
-
Zero-Trust Data Sanitization (ZTDS RFC v1.0) reference MCP server for Claude Desktop, Cursor, and Windsurf. In-memory PII de-identification and deterministic surrogate tokenization.
Apache-2.0 ★ 1 -
web3-docs-mcpgithub.com/dioptx/web3-docsupdated this year
MCP server for Web3 protocol documentation — EIPs, ERCs, BIPs, SIMDs, Cosmos ADRs, Polkadot RFCs, Stacks SIPs, Avalanche ACPs, Cardano CIPs, Tezos TZIPs, Sui SIPs, plus a canonical contract registry
pypi MIT -
Software engineering discipline grounded in named primary standards (OWASP, ITIL, IETF RFCs, ISO, BABOK, SBAR, and more), shipped as a Claude Code plugin and an MCP server.
MIT ★ 19 -
Kagami 鏡 · a native macOS packet and flow viewer on Wireshark's dissectors: live capture, RFC header anatomy, NetFlow/IPFIX and nfdump, follow streams, a CLI and an MCP server.
AGPL-3.0 ★ 1 -
Open infrastructure for Argentina's sociedades de IA (AI-operated companies, draft General Companies Law art. 14). 36 npm packages, 235 typed tools for the Vercel AI SDK, 6 RFCs, forensic audit log. MIT.
MIT ★ 3 -
CLI and MCP server for C2PA / Content Credentials provenance: report what a file claims, or fully verify it — COSE signature, certificate chain, hash bindings, RFC 3161 timestamp. Reads JPEG, PNG, WebP, GIF, TIFF/DNG, HEIC, AVIF, SVG, MP4, MOV, AVI, WAV, MP3 and PDF. Wraps github.com/richardwooding/c2pa.
MIT -
Find out why a component exists and what changes if a decision went the other way. Reads the ADRs, RFCs and design notes already in your repo, cites the passage behind every inferred claim, keeps human review on top, and previews option switches on a map. Local-first, Markdown only, MCP tools for agents.
Apache-2.0 -
SV Numberno update data
Phone numbers for AI agents that hit an SMS verification wall. The agent orders a private number in the country the service expects, reads the verification code straight from the API, and hands the number back. 211 countries and over a thousand services, the widest coverage of any phone API for agents. You do not have to take that on faith: call `list_countries` and count the list yourself. **Tools:** `get_balance`, `list_countries`, `list_services`, `order_number`, `wait_for_code`, `finish_activation`, `cancel_activation`, `request_another_sms`, `totp_code`. The number is exclusive for the whole activation, so nobody else receives its codes. Money is held when you order and charged when the code lands. If nothing arrives, it returns to the balance by itself. No subscription and no per-seat fee. Second factor included: `totp_code` computes the authenticator code locally by RFC 6238, so the secret never leaves the machine. Works with WhatsApp, Telegram, Discord, Instagram, TikTok, ChatGPT, PayPal, Binance, Facebook and a thousand more. The API key is read from the environment. No tool returns it and no error message quotes it.
smithery -
All-in-one binary knowledge MCP provider
MIT ★ 1 -
A Python docstring format with emphasis on machine-verifiable normativity
BSD-2-Clause